> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fatura Al

> Kimlik numarasina gore fatura detaylarini alin

## Fatura Al

Bir faturanin detaylarini ve guncel durumunu dondurur.

### Yol parametreleri

<ParamField path="invoice_id" type="number" required>
  Fatura kimlik numarasi
</ParamField>

### Yanit

`status`, `payment_address`, `price_trx`, `price_usdt`, `tx_hash` ve zaman damgalarini iceren tam fatura nesnesini dondurur.

### Fatura durumlari

| Durum       | Aciklama                                    |
| ----------- | ------------------------------------------- |
| `pending`   | Odeme bekleniyor                            |
| `paid`      | Odeme alindi, devretme islemi devam ediyor  |
| `delegated` | Enerji basariyla devredildi                 |
| `expired`   | Son kullanma tarihinden once odeme alinmadi |
| `failed`    | Devretme basarisiz oldu (odeme iade edildi) |

### Ornek

```bash theme={null}
curl https://api.tronrental.com/v1/invoices/12345 \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
{
  "invoice_id": 12345,
  "payment_address": "TPaymentAddress...",
  "address": "TRecipientAddress...",
  "energy_amount": 65000,
  "duration_hours": 1,
  "price_trx": "2.75",
  "price_usdt": "0.64",
  "status": "delegated",
  "tx_hash": "a1b2c3d4e5f6...",
  "paid_at": "2026-03-05T12:05:00Z",
  "delegated_at": "2026-03-05T12:05:30Z",
  "expires_at": "2026-03-05T12:30:00Z",
  "created_at": "2026-03-05T12:00:00Z"
}
```
